## ossim 1.7.21

=== src/apps/ossim-adrg-dump/Makefile ===
PROGRAM=ossim-adrg-dump

include ../../../makeprog.mak
