=== src/apps/ossim-applanix2ogeom/Makefile ===
PROGRAM=ossim-applanix2ogeom

include ../../../makeprog.mak
