=== src/apps/ossim-bmvstager/Makefile ===
PROGRAM=ossim-bmvstager

include ../../../makeprog.mak
