=== src/apps/ossim-btoa/Makefile ===
PROGRAM=ossim-btoa

include ../../../makeprog.mak
