=== src/apps/ossim-cmm/Makefile ===
PROGRAM=ossim-cmm

include ../../../makeprog.mak
