=== src/apps/ossim-create-cg/Makefile ===
PROGRAM=ossim-create-cg

include ../../../makeprog.mak
