=== src/apps/ossim-dump-ocg/Makefile ===
PROGRAM=ossim-dump-ocg
include ../../../makeprog.mak
