=== src/apps/ossim-ecg2ocg/Makefile ===
PROGRAM=ossim-ecg2ocg

include ../../../makeprog.mak
