=== src/apps/ossim-foo/Makefile ===
PROGRAM=ossim-foo
include ../../../makeprog.mak
