=== src/apps/ossim-height/Makefile ===
PROGRAM=ossim-height

include ../../../makeprog.mak
