=== src/apps/CMakeLists.txt ===
FILE(GLOB OSSIM_APP_DIRS "ossim-*")
FILE(GLOB OSSIM_CONFIG_DIR "ossim-config*")
LIST(REMOVE_ITEM OSSIM_APP_DIRS ${OSSIM_CONFIG_DIR})

FOREACH(f ${OSSIM_APP_DIRS})
	ADD_SUBDIRECTORY(${f})
ENDFOREACH(f)
