=== src/apps/ossim-band-merge/Makefile ===
PROGRAM=ossim-band-merge

include ../../../makeprog.mak
