=== src/apps/ossim-chgkwval/Makefile ===
PROGRAM=ossim-chgkwval

include ../../../makeprog.mak
