=== src/apps/ossim-computeSrtmStats/Makefile ===
PROGRAM=ossim-computeSrtmStats

include ../../../makeprog.mak
