=== src/apps/ossim-correl/Makefile ===
PROGRAM=ossim-correl

include ../../../makeprog.mak
